Hey, Nice browser!

It must be Internet Explorer 4 or higher.